* E Posta Adresiniz:
* Kodu Girin:

> 1 <
İleti Yazar
03.09.2018 20:46
86617    
oezcan

[2] Girişimci

Online Durumu

20 ileti

Arkadaşlar Merhaba,

Acaddeki 3 Boyutlu noktalarımı merkez alarak 1 metre yarıçaplı çemberler oluşturmak istiyorum, mümkünse noktaları kaybetmeden. Bunun için paylaşacağınız bir Lisp var mıdır ?

Teşekkür ederim

04.09.2018 01:50
86619    
alumina

[70] Editör

Online Durumu

630 ileti
Insaat Muhendisi
Istanbul

Alıntı
oezcan :

Kod:

(defun c:pc (/ a l m) (vl-load-com)
  (if (setq a (vla-get-activedocument (vlax-get-acad-object))
        l (ssget '((0 . "point"))))
    (progn (vla-startundomark a)
      (repeat (setq m (sslength l))
        (entmake (list '(0 . "circle") (assoc 10 (entget
          (ssname l (setq m (1- m))))) '(40 . 1))))
      (vla-endundomark a)
    )
  ) (prin1)
)

04.09.2018 13:37
86622    
oezcan

[2] Girişimci

Online Durumu

20 ileti

Çok teşekkür ederim @alumina

> 1 <
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 1854 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam